Skip to main content
GET
/
api
/
v1
/
serving
/
images
/
{image_id}
Python (SDK)
from meetkai_mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.serving.images.get(image_id="<id>")

    # Handle response
    print(res)
{
  "id": "<string>",
  "name": "<string>",
  "spec": {
    "base_image": "nvidia/cuda:12.9.0-devel-ubuntu22.04",
    "python_version": "3.12",
    "apt_packages": [
      "<string>"
    ],
    "pip_packages": [
      "<string>"
    ],
    "env": {},
    "commands": [
      "<string>"
    ]
  },
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Path Parameters

image_id
string
required

Response

Successful Response

A built (or building) image.

id
string
required
name
string
required
status
enum<string>
required
Available options:
building,
ready,
failed
spec
ImageSpec · object
required

Declarative recipe for a container image.

created_at
string<date-time>
required